package cn.com.qmth.examcloud.support.cache.bean;

import cn.com.qmth.examcloud.question.commons.core.paper.DefaultPaper;
import cn.com.qmth.examcloud.web.cache.RandomCacheBean;

/**
 * @Description 原始试卷缓存实体
 * @Author lideyin
 * @Date 2019/7/30 14:36
 * @Version 1.0
 */
public class BasePaperCacheBean extends RandomCacheBean {

	private static final long serialVersionUID = 6309635978462557320L;
	/**
	 * 小题乱序
	 * true:乱序
	 * false：不乱序
	 */
	private Boolean sortQuestionOrder;

	/**
	 * 选项乱序
	 * ture:乱序
	 * false：不乱序
	 */
	private Boolean sortOptionOrder;

	/**
	 * 原试卷id
	 */
	private String paperId;

	/**
	 * 试卷结构
	 */
	private DefaultPaper defaultPaper;

	public Boolean getSortQuestionOrder() {
		return sortQuestionOrder;
	}

	public void setSortQuestionOrder(Boolean sortQuestionOrder) {
		this.sortQuestionOrder = sortQuestionOrder;
	}

	public Boolean getSortOptionOrder() {
		return sortOptionOrder;
	}

	public void setSortOptionOrder(Boolean sortOptionOrder) {
		this.sortOptionOrder = sortOptionOrder;
	}

	public String getPaperId() {
		return paperId;
	}

	public void setPaperId(String paperId) {
		this.paperId = paperId;
	}

	public DefaultPaper getDefaultPaper() {
		return defaultPaper;
	}

	public void setDefaultPaper(DefaultPaper defaultPaper) {
		this.defaultPaper = defaultPaper;
	}
}
